## GstTriggerControlSource GstTriggerControlSource — trigger control source |

## Functions

GstControlSource * | gst_trigger_control_source_new ()

## Properties

gint64 | tolerance | Read / Write

## Types and Values

struct | GstTriggerControlSource
#define | GST_TYPE_TRIGGER_WAVEFORM

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlSource
                    ╰── GstTimedValueControlSource
                        ╰── GstTriggerControlSource

## Includes

    #include <libs/controller/gsttriggercontrolsource.h>

## Description

GstTriggerControlSource is a GstControlSource, that returns values from user-given control points. It allows for a tolerance on the time-stamps.

To use GstTriggerControlSource get a new instance by calling `gst_trigger_control_source_new()`, bind it to a GParamSpec and set some control points by calling `gst_timed_value_control_source_set()`.

All functions are MT-safe.

## Functions

### gst_trigger_control_source_new ()

    GstControlSource *
    gst_trigger_control_source_new (void);

This returns a new, unbound GstTriggerControlSource.

#### Returns

a new, unbound GstTriggerControlSource.

[transfer full]

## Types and Values

### struct GstTriggerControlSource

    struct GstTriggerControlSource;

The instance structure of GstControlSource.

### GST_TYPE_TRIGGER_WAVEFORM

    #define GST_TYPE_TRIGGER_WAVEFORM (gst_trigger_waveform_get_type ())

## Property Details

### The `“tolerance”` property

      “tolerance”                gint64

Amount of ns a control time can be off to still trigger.

Flags: Read / Write

Allowed values: >= 0

Default value: 0